subroutine  uwiremis_read_db(fn)

!------------------------------------------------------------------------------
!    Copyright (C) 2008  Eva E Borbas
!    University of Wisconsin-Madison, SSEC/CIMSS 
!
!     reads the netCDF formatted UW/CIMSS BF  Global Land Surcae IR Emissivty database 
!     (http://cimss.ssec.wisc.edu/iremis/)
!
!    CREATED by: Benjamin Ruston (NRL,CA)
!
!    HISTORY: 
!            Version 0.91 delivery: April 2009 
!
!    NOTE: This algorithm was released to be useful, but without any warranty.
!------------------------------------------------------------------------------

      use uwiremis_module

! Required includes.

      implicit none

      include 'netcdf.inc'

! Define Variables.


      character*(*) :: fn    ! filename including full path?

      integer :: nvars ! number of variables
      integer :: nrec   !parameter (nrec= 36434) ! change this 'to generalize
      integer :: ndims   ! parameter (ndims = 1) ! number of dimensions
      integer errstat  ! error code
      integer recdim ! record dimension
      integer xyz_dim(3)

      integer k
      integer ncid, ngatts, nrecs, varid

      real  sfac, offs
! allocated to nrec
      integer*2, allocatable, dimension(:,:) :: emis_ch

! allocated to ndims
      integer, allocatable, dimension(:) :: dim_start, dim_size, vdims  ! starting index, dimension length

      character*1024 strbuf ! string buffer for var
      character*6 cfld 

! Open netCDF file.
      ncid=ncopn(trim(fn),ncnowrit,errstat)
      
      

! Get info on the record dimension for this file.

      call ncinq(ncid,ndims,nvars,ngatts,recdim,errstat)

 
       do recdim=1,ndims
       call ncdinq(ncid,recdim,strbuf,nrecs,errstat)
            xyz_dim(recdim) = nrecs
       end do
       

        allocate(emis_ch(xyz_dim(1),xyz_dim(2)))
	

! Retrieve data for date variable.
       errstat = nf_inq_varid (ncid, 'emis_flag', varid)
       errstat = nf_get_var_int2(ncid,varid,emis_flag)
                       
   do k=1,10
             if (k .lt. 10) then
                  write(cfld,'("emis",i1," ")') k
                else
                  write(cfld,'("emis",i2.2)') k
             end if
       errstat = nf_inq_varid (ncid,cfld,varid)
       errstat = nf_get_var_int2(ncid,varid,emis_ch)
       errstat = nf_get_att_real(ncid,varid,'scale_factor',sfac)
       errstat = nf_get_att_real(ncid,varid,'add_offset',offs)

                   emis(11-k,:,:) = real(emis_ch)*sfac + offs
   end do


       errstat = nf_close(ncid)


      end
