subroutine  uwiremis_read_labeigvects(fn)

!------------------------------------------------------------------------------
!    Copyright (C) 2008  Eva E Borbas
!    University of Wisconsin-Madison, SSEC/CIMSS 
!
!     reads in the eigenvectors of the selected emssivity laboaratory spectra
!
!    CREATED by: Benjamin Ruston (NRL,CA) and Eva Borbas (UW-Madison)
!
!    HISTORY: 
!            Version 0.91 delivery: April 2009 
!
!    NOTE: This algorithm was released to be useful, but without any warranty.
!------------------------------------------------------------------------------
      use uwiremis_module

! Required includes.

      implicit none

      include 'netcdf.inc'

! Define Variables.


     character*(*) :: fn    ! filename including full path?

     integer :: nvars ! number of variables
     integer :: nrec   !parameter (nrec= 36434) ! change this 'to generalize
     integer :: ndims   ! parameter (ndims = 1) ! number of dimensions
     integer errstat  ! error code
     integer recdim ! record dimension
     integer xy_dim(2)

     integer ncid, ngatts, nrecs, varid

! allocated to ndims
     integer, allocatable, dimension(:) :: dim_start, dim_size, vdims  ! starting index, dimension length

     character*1024 strbuf ! string buffer for var


! Open netCDF file.
      ncid=ncopn(trim(fn),ncnowrit,errstat)

! Get info on the record dimension for this file.
      call ncinq(ncid,ndims,nvars,ngatts,recdim,errstat)

       do recdim=1,ndims
      call ncdinq(ncid,recdim,strbuf,nrecs,errstat)
            xy_dim(recdim) = nrecs
       end do

! Retrieve the laboratory eigenvalues into array pcu 
       errstat = nf_inq_varid (ncid, 'PC_scores', varid)
       errstat = nf_get_var_real(ncid,varid,pcu)

       errstat = nf_close(ncid)

      end
