        subroutine uwiremis_recon_hsremis(bfem,hsremis)
        
!---------------------------------------------------------------------
!    Copyright (C) 2008  Eva E Borbas
!    University of Wisconsin-Madison, SSEC/CIMSS 
!
!
!       program creates high spectra resolution (HSR) emissivty spectra
!       from the UW BF IR Global Emissivty data (at 10 hinge points) 
!       and labratory measurements using principal component analyses
!
!
!    CREATED by: Eva Borbas UW/CIMSS
!
!    HISTORY: 
!            Version 0.91 delivery: April, 2009 
!!
!    NOTE: This algorithm was released to be useful, but without any warranty.
! 
!---------------------------------------------------------------------
       Use uwiremis_module

        implicit none
        
        integer j,k
        
        
        real :: emis1(numwave)
        real :: col(hngpnts)     
 
        real :: coef(numpcs) 
        real :: bfem(hngpnts)
        real :: hsremis(numwave)

        
!-------------------------
! calculate the regcoef
!-------------------------

        coef=0.
        
        if(bfem(1).gt.0.) then
        
                do j=1,hngpnts
                        col(j)=bfem(j)-pcm_modres(j)
                enddo
        
                do k=1,numpcs
                do j=1,hngpnts
                        coef(k)=coef(k)+col(j)*D(j,k)
                enddo
                enddo

!-------------------------------------
! apply coef to get the hsr dataset
!-------------------------------------

                emis1=0.
        
                if(coef(1).ne.-999.) then

                        do k=1,numwave
                        do j=1,numpcs
                        emis1(k)=emis1(k)+coef(j)* pcu(j,k)               
                        enddo

                        emis1(k)=emis1(k)+pcm(k)
                        enddo

                        do j=1,numwave
                        
!  filter out emissivity values larger then 1. 
                        if(emis1(j).gt.1.) emis1(j)=1.
                        
                        hsremis(j)=real(emis1(j))
                
                        enddo
        
                else
                
                        coef=-999.
                        hsremis=-999.
                
                endif
        
        endif
                
        end


